@ECHO OFF
ECHO --[##] Starting BATCH FILE
IF NOT "%1" == "" GOTO diffqual

optipng gallery/*.bmp -o0
goto end

:diffqual
optipng gallery/*.bmp -o%1

:end
REM cd gallery
REM del *.bmp
REM cd ..

ECHO --[##] Finished